.uploadcare-dialog.uploadcare-active {
	z-index: 10000001;
}

/* icon */
.t1002__body_wishlistwinshowed .t1002__wishlisticon {
	display: none;
}

.t1002__wishlisticon {
	display: none;
	position: fixed;
	top: 100px;
	right: 50px;
	z-index: 4000;
}

.t1002__wishlisticon_showed {
	display: block;
}

.t1002__wishlisticon_neworder .t1002__wishlisticon-imgwrap {
	-webkit-animation: t1002__pulse-anim 0.7s;
	animation: t1002__pulse-anim 0.6s;
}

.t1002__wishlisticon-wrapper {
	position: relative;
}

.t1002__wishlisticon-imgwrap {
	position: relative;
	background-color: rgba(255, 255, 255, 0.8);
	border-radius: 50px;
	width: 80px;
	height: 80px;
	cursor: pointer;
	box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.2);
	will-change: transform;
	transition: -webkit-transform 0.2s ease-in-out;
	transition: transform 0.2s ease-in-out;
	transition: transform 0.2s ease-in-out, -webkit-transform 0.2s ease-in-out;
	overflow: hidden;
}

.t1002__bgimg {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-size: cover;
	background-position: center center;
	background-repeat: no-repeat;
}

.t1002__wishlisticon-img {
	width: 40px;
	height: 40px;
	padding: 22px 20px 18px;
	stroke: #000;
}

.t1002__wishlisticon-counter {
	width: 30px;
	height: 30px;
	background-color: red;
	color: #fff;
	border-radius: 30px;
	position: absolute;
	right: -3px;
	bottom: -3px;
	text-align: center;
	line-height: 30px;
	font-family: Arial, Helvetica, sans-serif;
}

.t1002__wishlisticon_sm .t1002__wishlisticon-imgwrap {
	width: 60px;
	height: 60px;
}

.t1002__wishlisticon_sm .t1002__wishlisticon-counter {
	right: -6px;
	bottom: -6px;
	width: 24px;
	height: 24px;
	line-height: 24px;
	font-size: 14px;
}

.t1002__wishlisticon_sm .t1002__wishlisticon-img {
	width: 34px;
	height: 34px;
	padding: 14px 13px 12px;
}

.t1002__wishlisticon_lg .t1002__wishlisticon-imgwrap {
	height: 100px;
	width: 100px;
}

.t1002__wishlisticon_lg .t1002__wishlisticon-img {
	width: 50px;
	height: 50px;
	padding: 28px 25px 22px;
}

/* btn */
.t1002__addBtn {
	width: 45px;
	height: 45px;
	padding-top: 2px;
	border: 1px solid #e4e4e4;
	display: -webkit-inline-flex;
	display: -ms-inline-flexbox;
	display: inline-flex;
	-webkit-justify-content: center;
	-ms-flex-pack: center;
	justify-content: center;
	-webkit-align-items: center;
	-ms-flex-align: center;
	align-items: center;
	margin-left: 5px;
	box-sizing: border-box;
	-ms-flex-negative: 0;
	-webkit-flex-shrink: 0;
	flex-shrink: 0;
	vertical-align: middle;
}

@media (max-width: 480px) {
	.t1002__addBtn {
		width: 50px;
		height: 50px;
	}
}

.t1002__addBtn svg {
	max-width: 100%;
	max-height: 100%;
	overflow: visible;
	pointer-events: none;
	transition: all ease 0.2s;
	padding: 2px;
}

.t1002__addBtn svg path {
	transition: all ease 0.2s;
	stroke-width: 1.5px;
}

.t1002__addBtn:hover svg {
	-webkit-transform: scale(1.1);
	transform: scale(1.1);
}

.t1002__addBtn_active svg path {
	fill: #ed5952;
	stroke: #ed5952;
}

.t1002__addBtn_active.t1002__addBtn_neworder svg {
	-webkit-animation: t1002__heart-anim 0.3s;
	animation: t1002__heart-anim 0.3s;
}

/* move product labels to left */
.t1002__picture-wrapper .t754__markwrapper,
.t1002__picture-wrapper .t776__markwrapper,
.t1002__picture-wrapper .t778__markwrapper,
.t1002__picture-wrapper .t786__markwrapper,
.t1002__picture-wrapper .t-store__card__mark-wrapper,
.t1002__picture-wrapper .t-catalog__card__mark-wrapper {
	right: unset;
	left: 10px;
}

/* btn wrapper for products blocks */
.t1002__picture-wrapper .t1002__addBtn,
.t-store__card__imgwrapper .t1002__addBtn,
.t-catalog__card__imgwrapper .t1002__addBtn {
	position: absolute;
	right: 10px;
	top: 10px;
	z-index: 9;
	border-color: transparent;
	border-width: unset;
	background: #fff;
	border-radius: 100%;
}

.t-catalog__card_buttons-pos_bg-up-right .t-catalog__card__imgwrapper .t1002__addBtn {
	top: var(--t-catalog-bg-up-overlay-top, 10px);
}

.t1002__btns-wrapper {
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-align-items: center;
	-ms-flex-align: center;
	align-items: center;
	flex-wrap: wrap;
}

.t1002__btns-wrapper_center {
	-webkit-justify-content: center;
	-ms-flex-pack: center;
	justify-content: center;
}

.t-store__card__btns-wrapper--quantity a,
.t-store__prod__quantity + a[href='#order'],
.t-catalog__card__btns-wrapper--quantity a,
.t-catalog__prod__quantity + a[href='#order'] {
	vertical-align: top;
}

.t-store__card__btns-wrapper--quantity .t1002__addBtn,
.t-catalog__card__btns-wrapper--quantity .t1002__addBtn {
	margin-left: 5px !important;
	margin-bottom: 8px;
	display: -webkit-inline-flex !important;
	display: -ms-inline-flexbox !important;
	display: inline-flex !important;
}

.t-popup .t1002__btns-wrapper .t-store__prod__quantity,
.t-popup .t1002__btns-wrapper .t-catalog__prod__quantity {
	margin-bottom: 0;
}

.t-popup .t1002__btns-wrapper a[href='#order'] {
	width: unset;
}

.t-store__card .t1002__addBtn,
.t776 .t1002__addBtn,
.t778 .t1002__addBtn,
.t-catalog__card-list_style_tile .t1002__addBtn {
	margin-bottom: 8px;
}

.t1025 .t-store__card .t1002__addBtn,
.t-catalog__card-list_style_list .t1002__addBtn {
	margin-bottom: 5px;
	margin-left: 0;
}

.t776 .t-popup .t1002__btns-wrapper .t1002__addBtn,
.t776 .t-popup .t-store__prod-popup__btn-wrapper .t1002__addBtn,
.t778 .t-popup .t1002__btns-wrapper .t1002__addBtn,
.t778 .t-popup .t-store__prod-popup__btn-wrapper .t1002__addBtn {
	margin-bottom: 0;
}

.t766__btn-wrapper.t1002__btns-wrapper {
	-webkit-justify-content: flex-end;
	-ms-flex-pack: end;
	justify-content: flex-end;
}

.t784__btn-wrapper.t1002__btns-wrapper {
	-webkit-flex-wrap: nowrap;
	-ms-flex-wrap: nowrap;
	flex-wrap: nowrap;
}

.t778__btn-wrapper.t1002__btns-wrapper {
	-webkit-flex-wrap: wrap;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
}

/* wishlist window */
.t1002__wishlistwin {
	display: none;
	position: fixed;
	background-color: rgba(0, 0, 0, 0.1);
	width: 100%;
	height: 100%;
	z-index: 4002;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	overflow-y: auto;
}

.t1002__wishlistwin_showed {
	display: block;
	z-index: 10000001;
}

.t1002__body_wishlistwinshowed {
	height: 100vh;
	min-height: 100vh;
	overflow: hidden;
}

@supports (-webkit-touch-callout: none) {
	.t1002__body_wishlistwinshowed {
		/* The hack for Safari */
		height: -webkit-fill-available;
		min-height: -webkit-fill-available;
	}
}

.t1002__wishlistwin-content {
	margin: 0;
	position: fixed;
	right: 0;
	width: 100%;
	max-width: 560px;
	min-height: 100vh;
	max-height: 100%;
	background-color: rgba(255, 255, 255, 1);
	padding: 40px;
	box-sizing: border-box;
	overflow: auto;
	box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.2);
	transition: all 0.3s ease;
	-webkit-transform: translateX(100%);
	transform: translateX(100%);
}

.t1002__wishlistwin-content_showed {
	-webkit-transform: translateX(0);
	transform: translateX(0);
}

.t1002__wishlistwin-close {
	position: fixed;
	right: 20px;
	top: 20px;
	color: #fff;
	cursor: pointer;
	z-index: 1;
}

.t1002 .t1002__close {
	top: 10px;
	right: 10px;
	width: 43px;
	height: 43px;
}

.t1002 .t1002__close-button {
	width: 23px;
	padding: 10px;
	font-size: 0;
	border: none;
	background-color: transparent;
	cursor: pointer;
}

.t1002__wishlistwin-top {
	padding: 0px 0 20px 0;
	margin-bottom: 20px;
	border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

.t1002__wishlistwin-products {
	display: block;
	width: 100%;
}

.t1002__product {
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	height: auto;
	width: 100%;
	padding: 10px 0;
	box-sizing: border-box;
	-webkit-align-items: center;
	-ms-flex-align: center;
	align-items: center;
	margin-bottom: 20px;
}

.t1002__product-thumb {
	width: 70px;
	height: unset;
	padding-right: 20px;
}

.t1002__product-imgdiv {
	width: 70px;
	height: 70px;
	background-size: cover;
	border-radius: 7px;
	background-color: #eee;
	background-position: center;
	border: 1px solid rgba(0, 0, 0, 0.1);
}

.t1002__product-title {
	display: block;
	line-height: 1.45;
	padding: 0;
	font-weight: 600;
	color: #000;
}

.t1002__product-title__portion,
.t1002__product-title__option,
.t1002__product-amount--portion .t1002__product-portion {
	opacity: 0.7;
	font-size: 12px;
	font-weight: 400;
	display: block;
	margin-top: 5px;
	margin-left: 0px;
}

.t1002__product-amount--portion,
.t1002__product-amount {
	width: 80px;
	font-size: 16px;
	padding: 5px 0 5px 15px;
	color: #000;
	white-space: nowrap;
	-webkit-flex-shrink: 0;
	-ms-flex-negative: 0;
	flex-shrink: 0;
	margin-left: auto;
}

.t1002__product-amount--portion .t1002__product-amount {
	display: block;
	padding-bottom: 0;
}

.t1002__product-del {
	display: table-cell;
	width: 20px;
	padding: 15px 0 15px 15px;
	cursor: pointer;
	opacity: 0.4;
	vertical-align: middle;
}

.t1002__product:hover .t1002__product-del {
	opacity: 1;
}

.t1002__product-amount-currency,
.t1002__product-amount-price {
	display: inline-block;
	vertical-align: middle;
}

.t1002__wishlistwin-totalamount-wrap {
	padding-top: 15px;
	display: none;
	font-weight: 600;
	text-align: right;
}

/* Основные стили для bubble */
.t1002__bubble-container {
	position: fixed;
	bottom: 20px;
	right: 20px;
	display: flex;
	flex-direction: column-reverse;
	align-items: flex-end;
	gap: 10px;
	max-width: 350px;
	width: calc(100% - 40px);
	z-index: 10000001;
}

.t1002__bubble {
	position: relative;
	background-color: #111;
	border-radius: 10px;
	width: 100%;
	animation: wishlist-fadeInRight 0.3s ease-out;
}

.t1002__bubble-close {
	position: absolute;
	right: 10px;
	top: 3px;
	color: #fff;
	cursor: pointer;
}

.t1002__bubble-text {
	color: #fff;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 16px;
	padding: 20px 30px;
}

.t1002__bubble-text a {
	color: #ff855d;
	text-decoration: underline;
}

@keyframes wishlist-fadeInRight {
	from {
		opacity: 0;
		transform: translateX(100%);
	}
	to {
		opacity: 1;
		transform: translateX(0);
	}
}

@keyframes wishlist-fadeOutRight {
	from {
		opacity: 1;
		transform: translateX(0);
	}
	to {
		opacity: 0;
		transform: translateX(100%);
	}
}

.t1002__bubble_visible {
	animation: wishlist-fadeInRight 0.3s ease-out forwards;
}

.t1002__bubble_hidden {
	animation: wishlist-fadeOutRight 0.4s ease-in forwards;
}

/* animations */
@-webkit-keyframes t1002__heart-anim {
	50% {
		-webkit-transform: scale(1.4);
	}
}

@keyframes t1002__heart-anim {
	50% {
		-webkit-transform: scale(1.4);
		transform: scale(1.4);
	}
}

@-webkit-keyframes t1002__pulse-anim {
	0% {
		-webkit-transform: scale(1);
	}

	60% {
		-webkit-transform: scale(1.25);
	}

	100% {
		-webkit-transform: scale(1);
	}
}

@keyframes t1002__pulse-anim {
	0% {
		-webkit-transform: scale(1);
		transform: scale(1);
	}

	60% {
		-webkit-transform: scale(1.25);
		transform: scale(1.25);
	}

	100% {
		-webkit-transform: scale(1);
		transform: scale(1);
	}
}

@media screen and (min-width: 960px) {
	.t1002__wishlisticon-imgwrap:hover {
		-webkit-transform: scale(1.1);
		transform: scale(1.1);
	}
}

@media screen and (max-width: 960px) {
	.t1002__wishlisticon {
		right: 20px;
	}

	.t1002__wishlistwin-content {
		margin: 0 auto;
		max-width: 100%;
		min-height: 100vh;
		padding: 0 0 20px;
	}

	@supports (-webkit-touch-callout: none) {
		.t1002__wishlistwin-content {
			height: -webkit-fill-available;
			min-height: -webkit-fill-available;
		}
	}

	.t1002__wishlistwin-top {
		padding: 20px;
	}

	.t1002__wishlistwin-products {
		padding: 0 20px;
		box-sizing: border-box;
	}
}

@media screen and (max-width: 640px) {
	.t1002__wishlisticon-imgwrap,
	.t1002__wishlisticon_lg .t1002__wishlisticon-imgwrap {
		width: 60px;
		height: 60px;
	}

	.t1002__wishlisticon-counter,
	.t1002__wishlisticon_lg .t1002__wishlisticon-counter {
		right: -6px;
		bottom: -6px;
		width: 24px;
		height: 24px;
		line-height: 24px;
		font-size: 14px;
	}

	.t1002__wishlisticon-img,
	.t1002__wishlisticon_lg .t1002__wishlisticon-img {
		width: 34px;
		height: 34px;
		padding: 14px 13px 12px;
	}

	.t1002__product {
		display: table;
		position: relative;
		margin: 35px 0;
	}

	.t1002__product:last-child {
		padding-bottom: 35px;
	}

	.t1002__product-thumb {
		height: auto;
		vertical-align: top;
		display: table-cell;
	}

	.t1002__product-title {
		display: block;
		padding-top: 0;
		padding-bottom: 10px;
		padding-right: 30px;
		width: 100%;
		vertical-align: top;
		box-sizing: border-box;
	}

	.t1002__product-amount {
		width: auto;
		display: inline-block;
		vertical-align: bottom;
		padding: 0 20px 0 0;
	}

	.t1002__product-del {
		position: absolute;
		top: 0;
		right: 0;
		padding: 0;
	}
}

@media screen and (max-width: 560px) {
	.t1002__wishlistwin-close {
		height: 50px;
		right: 0;
		top: 0;
		padding-right: 20px;
		padding-top: 20px;
	}

	.t1002__wishlistwin-close-wrapper {
		text-align: right;
		width: 100%;
		padding-right: 20px;
		font-size: 0;
	}

	.t1002 .t1002__close {
		position: fixed;
		top: 12px;
		left: 0;
		right: 0;
		z-index: 2;
		display: flex;
		align-items: center;
		justify-content: flex-end;
		width: 100%;
		padding: 0;
	}

	.t1002 .t1002__close-button {
		width: 16px;
		margin-right: 10px;
		padding: 10px;
	}

	.t1002__wishlistwin-close-icon {
		width: 16px;
	}

	.t1002__close .t1002__wishlistwin-close-icon {
		height: 16px;
	}
}
